<?php
/**
 *
 * @package MSI Joomla.vBulletin
 * @version $Id: helper.php, v 2.1 2010/01/25 15:37:17 koudanshi Exp $
 * @since 2008/08/13
 * @copyright (c) 2004-2010 BBPixel
 *
 * Minimum Requirement: PHP 4.3.3 | MySQL 4.1
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

class modLatestPostJvbMsiHelper 
{

	public $_db;
	
	public function __construct()
	{
		// Init vBulletin database connection
		$this->dbConn();
	}
	
	
	/**
	 * Get IP.Board database info from MSI Core Engine
	 *
	 * @return unknown
	 */
	public function dbConn()
	{
		global $msiJCore;
		
		$sql = "SELECT * FROM {$msiJCore->_db->_obj['prx']}plugin WHERE name = 'vbulletin' AND enable = 1";
		$row = $msiJCore->_db->queryF($sql);
		
		// Make sure vBulletin plugin already installed on MSI Engine
		if ( $row['id'] )
		{
			$dbObj = array();
			$dbObj['host'] 		= $row['dbhost'];
			$dbObj['port'] 		= $row['dbport'];;
			$dbObj['name'] 		= $row['dbname'];
			$dbObj['user'] 		= $row['dbuser'];
			$dbObj['pwd'] 		= $row['dbpassword'];
			$dbObj['prx'] 		= $row['dbprefix'];
			$dbObj['charset'] 	= $row['dbcharset'];
			$dbObj['pconnect'] 	= $msiJCore->_cfg['pconnect'];
			
			// create new BB database connection
			$this->_db 			= new dbPixel();
			$this->_db->_obj 	= $dbObj;
			$this->_db->connect();
		}
	}
	
	
	// show online count
	public function getItem(&$params)
	{
		global $msiJCore;

		$forumID 	= trim( $params->get( 'fid', 	"" 	));
		$limit 		= trim( $params->get( 'limit', 	10	));
		$listType	= trim( $params->get( 'list', 1 ));
		
		if ( $listType == 1 )
		{
			$orderBy = "t.lastpost";
		} else {
			$orderBy = "t.dateline";			
		}
		$result = array();

		//.. Get lasted topic
		$condition = "";
		
		if ( strlen( $forumID ) > 0 and $forumID != 0 )
		{
			$condition = "AND f.forumid IN ({$forumID})";
		}

		$sql = "SELECT t.threadid AS tid, t.title, t.dateline AS start_date, t.postusername AS starter_name, t.postuserid AS starter_id, t.lastposter AS last_poster_name, t.views, t.replycount AS posts, t.lastpostid AS last_post, f.forumid AS fid, f.title AS fname
					FROM {$this->_db->_obj['prx']}thread t, {$this->_db->_obj['prx']}forum f
						WHERE t.forumid = f.forumid {$condition} ORDER BY {$orderBy} DESC LIMIT $limit";

		$result = $this->_db->query($sql);
		$items = array();
		
		while ($row = $this->_db->fetchArray($result)) 
		{
			$items[] = $row;
		}
		
		return $items;
	}
}


?>