<?php
/**
 +----------------------------------------------------
 |  Multi system integration
 |  (c) 2004-2009 BBPixel.com
 +----------------------------------------------------
 |  Index controller
 |  Revision: 0812060001 $
 |  Since: 2008-May-01
 |  Author: Koudanshi (sales@bbpixel.com)
 |  License: Commercial
 +----------------------------------------------------
 */

define("MSI_SYSTEM", 1);
define("MSI_AREA", "ACP");

require_once( '../init.php' );

// Permision checking for admin only
if ( $msiPixel->sess->_userInfo['gid'] > 1 ) // default is 1 for administrator group
{
	//die("Sorry! You don't have permssion to access this page. Please go back and try another account.");//temporary output in raw type
	$msg = "You don't have permssion to access this page";
	$msiPixel->disp->error($msg);
}

// Default page
if ( $isLoggedIn === false )
{
	$system = "core";
	$engine = "user";
	$action = "login";
}

// Parse included files
$sFiles = array('function' 	=> ROOT_PATH."/system/$system/function.php",
				'setting' 	=> ROOT_PATH."/system/$system/setting.php",
				'section' 	=> ROOT_PATH."/system/$system/$engine.php"
				);

foreach ($sFiles as $sFile)
{
	if ( file_exists($sFile) )
	{
		require_once($sFile);
	}
	else
	{
		//$msg = "Error...File not found $sFile";
		//$msiPixel->disp->error($msg);
	}
}

$outData = $msiPixel->disp->loadFile('home.tpl');
$msiPixel->disp->outPut($outData);
?>