<?php

/**
 *
 * @package MSI Joomla engine
 * @version $Id: class_csession.php, v 1.0 2009/06/02 15:37:17 koudanshi Exp $
 * @copyright (c) 2003-2009 BBPixel
 *
 * Minimum Requirement: PHP 4.3.3 | MySQL 4.1
 */




class msi_csession
{
	private $_db;
	public $_secKey;
	
	/**
	 * Constructor
	 *
	 * @param string $db database object
	 * @return msi_csession
	 */
	function msi_csession(&$db)
	{
		$this->_db = $db;
		
	}
	
	
	
	
	function fetchSess()
	{
		$sessID = $this->genID();
		$row = array();
		$sql = "SELECT s.userid, m.email FROM {$this->_db->_obj['prx']}session s, {$this->_db->_obj['prx']}member m 
					WHERE s.id = '{$sessID}' 
					AND s.userid = m.id 
					LIMIT 1";
		$row = $this->_db->queryF($sql);
		return $row;
	}
	
	
	/**
	 * Generating Session ID
	 *
	 * @return string ID
	 */
	
	function genID()
	{
		$userIP = $this->getClientIP();
		$userAgent = $_SERVER['HTTP_USER_AGENT'];
		return sha1($userIP.$userAgent.sha1($this->_secKey));
	}



	/**
	 * Fetch user IP address
	 * @return string IP
	 */

	function getClientIP()
	{
		$cur_ip = $_SERVER['REMOTE_ADDR'];

		if (isset($_SERVER['HTTP_CLIENT_IP']))
		{
			$cur_ip = $_SERVER['HTTP_CLIENT_IP'];
		}
		else if (isset($_SERVER['HTTP_X_FORWARDED_FOR']) AND preg_match_all('#\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}#s', $_SERVER['HTTP_X_FORWARDED_FOR'], $matches))
		{
			// make sure we dont pick up an internal IP defined by RFC1918
			foreach ($matches[0] AS $ip)
			{
				if (!preg_match('#^(10|172\.16|192\.168)\.#', $ip))
				{
					$cur_ip = $ip;
					break;
				}
			}
		}
		else if (isset($_SERVER['HTTP_FROM']))
		{
			$cur_ip = $_SERVER['HTTP_FROM'];
		}

		return $cur_ip;
	}
}
?>