<?php
/**
 *
 * @package MSI Joomla engine
 * @version $Id: class_jcore.php, v 1.0 2009/06/02 15:37:17 koudanshi Exp $
 * @copyright (c) 2003-2009 BBPixel
 *
 * Minimum Requirement: PHP 4.3.3 | MySQL 4.1
 */


class msi_jcore
{
	public $_user = array();

	// Proxy behind
	public $_ipCheck = 1;

	public $_cfg;

	// MSI database object
	public $_db;

	/**
	 * Constructor
	 *
	 * @return msi_jcore
	 */
	public function msi_jcore(&$db)
	{
		// create MSI database
		$this->_db = $db;
	}

	public function getJUser($email = "")
	{
		if (empty($email)) return ;

		$email = strtolower(addslashes($email));

		// get Joomla user info
		$jDB =& JFactory::getDBO();

		$sql = "SELECT id as userid, username, name, password, email FROM #__users WHERE lower(email)='{$email}' LIMIT 1";
		$jDB->setQuery($sql);
		$jUser = $jDB->loadAssoc();

		return $jUser;
	}


	public function autoEngine()
	{
		$option 	= JRequest::getVar('option');
		$task 		= JRequest::getVar('task');
		$view 		= JRequest::getVar('view');
		$redirect 	= JRequest::getVar('redirect');

		switch ($option) {
			case 'com_user':
				if ( $task == "logout" ) {
					$return = $_SERVER['HTTP_REFERER'];
					$header = "Location: {$this->_cfg['url']}/login.php?act=logout&redirect=$return";
					header($header);
					exit;
				}
				if ( $task == "register" ) {
					header("Location: {$this->_cfg['url']}/remote.php?act=reg");
					exit;
				}
				if ( $view == "reset" ) {
					header("Location: {$this->_cfg['url']}/remote.php?act=login");
					exit;
				}
				if ( $view == "remind" ) {
					header("Location: {$this->_cfg['url']}/remote.php?act=login");
					exit;
				}
				if ( $task == "activate" or $view == "login" ) {
					header("Location: {$this->_cfg['url']}/remote.php?act=login");
					exit;
				}
				if ( $view == "user" and $task == "edit" ) {
					header("Location: {$this->_cfg['url']}/remote.php?act=user");
					exit;
				}
				break;
		}
	}



}


?>