<?php
/*
 +----------------------------------------------------
 |  Multi system integration
 |  (c) 2003-2008 BBPixel.com
 +----------------------------------------------------
 |  Mysql Database class
 |  $Revision: 0811190001 $
 |  Author: Koudanshi (sales@bbpixel.com)
 |  License: Ecommercial
 +----------------------------------------------------
 */


class dbPixel
{

     public $_obj = array (
					'port' 		=> 3306,
					'pconnect' 	=> 0

     			);
     public $_connID;
     public $_sql;
	 public $_require_db_reselect = false;

    /**
     * Connect to the database
     *
     * @return unknown
     */
	public function connect()
	{
		
		if ( preg_match("/\.sock/is", $this->_obj['host']) )
		{
			$host = $this->_obj['host'];
		} 
		else 
		{
			$host = $this->_obj['host'].":".$this->_obj['port'];
		}
		
		if ($this->_obj['pconnect'])
		{
			$this->_connID = mysql_pconnect("{$host}", $this->_obj['user'], $this->_obj['pwd']);
		}
		else
		{
			$this->_connID = mysql_connect("{$host}", $this->_obj['user'], $this->_obj['pwd']);
		}

		if (!$this->_connID)
		{
			$this->error();
			return false;
		}


		$this->select_db($this->_obj['name']);
		
		if (!empty($this->_obj['charset']))
		{
			if (function_exists('mysql_set_charset'))
			{
				mysql_set_charset($this->_obj['charset']);
			}
			else
			{
				$this->_sql = "SET NAMES {$this->_obj['charset']}";
				$this->executeQuery(true);
			}
		}

        return true;
    }


	public function select_db($name="") 
	{
        if (!mysql_select_db($name, $this->_connID))
        {
        	$this->error();
        	return false;
        }		
	}
    /**
     * Execute a query
     *
     * @param boolean Whether or not to run this query buffered
     */
    public function executeQuery($buffer = true)
    {
		// do query
		if ($this->_require_db_reselect)
		{
			$this->select_db($this->_obj['name']);
		}
		
    	if ($buffer)
    	{
    		$result = mysql_query($this->_sql, $this->_connID);
    	}
    	else
    	{
    		$result = mysql_unbuffered_query($this->_sql, $this->_connID);
    	}

		if ($result)
		{
			$this->_sql = "";
			return $result;
		}
		else
		{
			//$this->_sql = "";
			$this->error();
			return false;
		}
    }



    /**
     * Manual query
     *
     * @param string $sql
     * @param boolean $buffer
     * @return resource
     */
    public function query($sql = null, $buffer = true)
    {
		$this->_sql = $sql;
		return $this->executeQuery($buffer);
    }



    public function queryF($sql = null, $buffer = true)
    {
		// does a query and returns first row
		$result = $this->query($sql, $buffer);
		$row 	= $this->fetchArray($result);
		$this->freeResult($result);
		$this->lastquery = $sql;

		return $row;

    }


    /**
     * Escapes a string to make it safe to be inserted into an SQL query
     *
     * string	The string to be escaped
     */
    static function escapeString($string = null)
    {
    	return @mysql_real_escape_string($string);
    }


    /**
     * Fetches a row from a query result and returns the values from that row as an array with numeric keys
     *
     * @param string $rows : query ID
     * @return resource
     */
    public function fetchRow($rows = null)
    {
		return @mysql_fetch_row($rows);
    }



   /**
     * Fetches a row from a query result and returns the values from that row as an array
     *
     * @param string $rows : query ID
     * @return resource
     */
    public function fetchArray($rows = null)
    {
		return @mysql_fetch_array($rows);
    }


	public function freeResult($result)
	{
		// retrieve row
		return @mysql_free_result($result);
	}


    /**
     * get number rows of query result
     *
     * @param string $rows : query ID
     * @return numbers of result
     */
    public function numRows($rows = null)
    {
        return @mysql_num_rows($rows);
    }


    /**
     * Get insert ID from previous query
     *
     * @return number of ID
     */
    public function insertID()
    {
        return @mysql_insert_id($this->_connID);
    }


	/**
	 * Close an connection
	 *
	 * @return unknown
	 */
    public function close()
    {
    	if ($this->_connID)
    	{
        	return @mysql_close($this->_connID);
        }
        return false;
    }


 	/**
 	 * Return error
 	 *
 	 */
    public function error()
    {
    	$error = "\n\nmySQL error: ".mysql_error()."\n";
    	$error .= "Date: ".date("l dS of F Y h:i:s A");

    	$out = "<html><head><title>BBPixel MSI Database Error</title>
    		   <style>P,BODY{ font-family:arial,sans-serif; font-size:11px; }</style></head><body>
    		   &nbsp;<br><br><blockquote><b>There appears to be an error with the database.</b><br>
    		   You can try to refresh the page by clicking <a href=\"javascript:window.location=window.location;\">here</a>.
    		   <br><br><b>Error Returned</b><br>
    		   <form name='mysql'><textarea rows=\"15\" cols=\"60\">query: $this->_sql \n".htmlspecialchars($error)."</textarea></form><br>We apologise for any inconvenience</blockquote></body></html>";
        echo($out);
        exit;
    }

} // end class


?>