<?php
/**
 *
 * @package MSI vBulletin engine
 * @version $Id: class_vbcore.php, v100 2010/01/02 15:37:17 koudanshi Exp $
 * @since 2009/10/02
 * @copyright (c) 2004-2009 BBPixel
 *
 * Minimum Requirement: PHP 4.3.3 | MySQL 4.1
 */


class msi_vbcore
{
	public $_version = "2.0.1";
	public $_product = "MSI-vB Engine";
	
	public $_user = array();

	// Proxy behind
	public $_ipCheck = 1;

	public $_cfg;

	// MSI database object
	private $_db;

	public $_debug;
	/**
	 * Constructor
	 *
	 * @return msi_jcore
	 */
	public function __construct(&$db)
	{
		// create MSI database
		$this->_db = $db;
	}

	function getClientUser($email = "")
	{
		global $vbulletin;
		
		if ( empty($email) ) return ;

		$email = strtolower(addslashes($email));
		$sql = "SELECT userid, usergroupid, membergroupids, infractiongroupids, username, password, salt FROM ".TABLE_PREFIX."user WHERE lower(email) = '{$email}'";
		$result = $vbulletin->db->query($sql);
		$member = $vbulletin->db->fetch_array($result);
		
		return $member;
	}


	public function autoEngine(&$input)
	{
		$app 		= $input['app'];
		$module 	= $input['module'];
		$section 	= $input['section'];
		$do 		= $input['do'];
		$redirect 	= $input['redirect'];
		$return 	= $_SERVER['HTTP_REFERER'];
		$return		= str_replace("&", "_", $return);
		
		switch ($app) {
			case 'core':
				switch ($module) {
					case 'global': {
							if ( $section == "login" and $do == "logout" ) 
							{
								$header = "Location: {$this->_cfg['url']}/login.php?act=logout&redirect=$return";
								header($header);
								exit;
							}
							if ( $section == "register" or $section == "login" or $section == "lostpass" ) 
							{
								header("Location: ".ipsRegistry::$settings['board_url']."/msicore/access.php");
								exit;
							}
						}
						break;
					case 'ajax':
					case 'attach':
					case 'help':
					case 'reports':
					case 'search':
					case 'task':
					case 'usercp':
						break;
					default:
						if( !IN_ACP )
						{
							header("Location: ".ipsRegistry::$settings['board_url']."/msicore/access.php");
							exit;
						}
						break;
				}
				break;
			case 'members':
				switch ($module) {
					case 'members': {
						if ( $section == "members" and $do == "add" ) 
						{
							header("Location: ".$this->_cfg['url']."/index.php?s=core&e=user&act=add");
							exit;
						}
					}				
					break;
				}
				break;
		}
	}

	

}


?>