<?php

/**
 *
 * @package MSI vBulletin engine
 * @version $Id: vbinit.php, v100 2010/01/08 15:37:17 koudanshi Exp $
 * @copyright (c) 2004-2009 BBPixel
 *
 * Minimum Requirement: PHP 4.3.3 | MySQL 4.1
 */

// -------------------------------------------------------------
// Start on BBPixel stuff
// -------------------------------------------------------------
require( CWD."/msicore/config.php"); // MSI config
require( CWD."/msicore/class_db_".$msiCFG['type'].".php");
require( CWD."/msicore/class_csession.php");
require( CWD."/msicore/class_vbcore.php");

// Create DB connection
$msiDB = new dbPixel();
$msiDB->_obj = $msiCFG;
$msiDB->connect();

// Create session class
$msiSess = new msi_csession($msiDB);
$msiSess->_secKey = $msiCFG['secKey'];

global $msiVBCore;

if ( !isset($msiVBCore) )
{
	// create jcore class
	$msiVBCore = new msi_vbcore($msiDB);
	$GLOBALS['msiVBCore'] = $msiVBCore;
}
$msiVBCore->_cfg =& $msiCFG;


// Auto Engine for frontend only
if ( VB_AREA != "AdminCP" ) 
{	
	// Fetch session for AutoLogin
	$msiVBCore->_user = $msiSess->fetchSess();
	$msiVBCore->_user['isSync'] = 0;
	
	$vbUser = $msiVBCore->getClientUser($msiVBCore->_user['email']);
	
	if ( !empty($vbUser) )
	{
		$msiVBCore->_user['isSync'] = 1;
		
		$vbulletin->userinfo = array_merge($vbulletin->userinfo, $vbUser);
		//
		foreach ($vbulletin->userinfo as $k => $v )
		{
			//echo "$k = $v <br> ";
		}
		require(CWD."/includes/functions_login.php");
		
		// vB create new session - only do when not be logged in 
		if ( !$vbulletin->userinfo['userid'] )
		{
			process_new_login('', 0, '');
		}
		if ( !$_COOKIE['userid'] )
		{
			vbsetcookie('userid', $vbulletin->userinfo['userid'], true, true, true);
			vbsetcookie('password', md5($vbulletin->userinfo['password'] . COOKIE_SALT), true, true, true);
		}
	}
	else if ( empty($vbUser) and ($vbulletin->userinfo['userid'] != 0 or $vbulletin->userinfo['userid'] != -1) )
	{
		require(CWD."/includes/functions_login.php");
		$vbulletin->session->created = false;
		$vbulletin->userinfo['userid'] = 0;
		$vbulletin->userinfo['username'] = '';
		$vbulletin->userinfo['password'] = '';
		process_logout();	
	}

	
	// Auto Engine
	if ( $_REQUEST['do'] == "logout" )
	{
		//die ("passed logout processs");
		header("Location: {$msiVBCore->_cfg['url']}/login.php?act=logout");
		exit();
	}
} 
else if ( VB_AREA == "AdminCP" ) // auto protect on user managerment Delete/add new user
{
//foreach ($_REQUEST as $k => $v){
	//echo "$k = $v <br/>";
//}
//echo $_SERVER['SCRIPT_NAME'];
	if ( preg_match("#user.php#", $_SERVER['SCRIPT_NAME']) and ($_REQUEST['do'] == "add" or $_REQUEST['do'] == "remove" or $_REQUEST['do'] == "kill" or $_REQUEST['do'] == "prune_updateposts" or $_REQUEST['dowhat'] == 'delete') )
	//if ( preg_match("#user.php#", $_SERVER['SCRIPT_NAME']) )
	{
		$reference = "s=core&e=user";
		if ( $_REQUEST['do'] == "add" ) {
			$reference = "s=core&e=user&act=add";
		} else if ( $_REQUEST['do'] == "remove" or $_REQUEST['do'] == "kill" or $_REQUEST['dowhat'] == 'delete') {
			$userID = $_REQUEST['userid'];		
			$userInfo = fetch_userinfo(&$userID);
			$reference = "s=core&e=user&act=dosearch&email=".$userInfo['email'];
		}
		
		//foreach ($userInfo as $k => $v ){
		//echo "$k = $v <br> ";
		//}
		
		print_cp_message("You are not allowed to access this page directly.<br />Please use MSI Engine to manage your members <a href=\"{$msiVBCore->_cfg['url']}/admin/index.php?{$reference}\" target=\"_blank\">here</a>."); 
		exit;	
	}
}
?>