<?php
/**
 +----------------------------------------------------
 |  Multi system integration
 |  (c) 2004-2009 BBPixel.com
 +----------------------------------------------------
 |  Session validation controller
 |  Revision: 091020000 $
 |  Since: 2008-May-01
 |  Author: Koudanshi (sales@bbpixel.com)
 |  License: Commercial
 +----------------------------------------------------
 */


define( "ROOT_PATH", dirname(__FILE__) );

// Include lib
require_once(ROOT_PATH.'/config.php');
require_once(ROOT_PATH.'/lib/class_db_'.$msiCFG['type'].'.php');
require_once(ROOT_PATH.'/lib/class_main.php');
require_once(ROOT_PATH.'/lib/class_session.php');

// Create global class
$msiPixel =& new mainPixel();

// Create DB connection
$msiPixel->db =& new dbPixel();
$msiPixel->db->_obj = $msiPixel->_cfg;
$msiPixel->db->connect();

// Init Session
$msiPixel->sess =& new sessPixel($msiPixel->db);

$isLoggedIn = $msiPixel->sess->isLogin();

?>