<?php
/**
 +----------------------------------------------------
 |  Multi system integration
 |  (c) 2003-2008 BBPixel.com
 +----------------------------------------------------
 |  Display class
 |  $Revision: 0905160002 $
 |  Author: Koudanshi (sales@bbpixel.com)
 |  License: Ecommercial
 +----------------------------------------------------
 */


class dispPixel
{
	public $_tplVar  = array();


	public function dispPixel()
	{
		global $msiPixel;
	}


	/**
	 * Load template file and parse to str_code support
	 *
	 * @param string $name
	 * @param string $path
	 * @return string
	 */
	public function loadFile($name = null, $path = null)
	{
		global $msiPixel;

		$curPath = ROOT_PATH.'/templates/'.$msiPixel->_cfg['tplName'];

		if ($name == null)
		{
			die('Error!!! Template file can not be null');
		}

		if ($path != null)
		{
			$curPath = $path;
		}

		$tplFile = $curPath.'/'.$name;

		if (!file_exists($tplFile))
		{
			die ('Can not find template file at '.$tplFile);
		}
		else
		{
			//$outData = implode(file($tplFile));

			//$outData = file_get_contents($tplFile);
			//$outData = addslashes($outData);
			//$outData = str_replace("\\'", "'", $outData);


			foreach ($this->_tplVar as $var)
			{
				if ( !isset($$var) and isset($GLOBALS[$var]) )
				{
					$$var = $GLOBALS[$var];
				}
			}
			ob_start();
			eval ("?>".implode(file($tplFile))."<?");
			$outData = ob_get_contents();
			ob_end_clean();
		}


		return $outData;
	}



	public function redirect($msg="", $url="", $time=0)
	{
		global $msiPixel;

	    if ( empty($url) )
	    {
	        $url = !empty($msiPixel->_cfg['urlAlias']) ? $msiPixel->_cfg['urlAlias'] : $msiPixel->_cfg['url'];
	    }
	    else if ( $url == "ref" )
	    {
	         $url = $_SERVER['HTTP_REFERER'];
	    }

		$GLOBALS['tplData']['msg'] = !empty($msg) ? $msg : "Redirecting...";
		$GLOBALS['tplData']['url'] = $url;
		$GLOBALS['tplData']['time'] = ($time != 0) ? $time : 1;
		$GLOBALS['tplData']['main'] = $this->loadFile('bit/redirect.tpl');
		$GLOBALS['tplData']['left'] = "";
		$GLOBALS['tplData']['right'] = "";
		$GLOBALS['tplData']['classes'] = " class=\"auto\"";
		$this->outPut($this->loadFile("home.tpl"));
		exit;
	}



	public function error($msg="", $type='error')
	{
		$GLOBALS['tplData']['msg'] 	= !empty($msg) ? $msg : "Error...";
		$GLOBALS['tplData']['main'] .= $this->loadFile('bit/error.tpl');
		$GLOBALS['tplData']['left'] = "";
		$GLOBALS['tplData']['right'] = "";
		$GLOBALS['tplData']['classes'] = " class=\"auto $type\"";
		$this->outPut($this->loadFile("home.tpl"));
		exit;
	}


	/**
	 * Parse data and out put
	 *
	 * @return string
	 */
	function outPut($tplData="")
	{
		echo $tplData;
	}


}




?>