<?php
/*
 +----------------------------------------------------
 |  Multi system integration
 |  (c) 2004-2009 BBPixel.com
 +----------------------------------------------------
 |  Core Functions
 |  Revision: 0905160003 $
 |  Since: 2008-May-01
 |  Author: Koudanshi (sales@bbpixel.com)
 |  License: Commercial
 +----------------------------------------------------
 */



/**
 * Checking duplicate username
 *
 * @param database object $db
 * @param input username in string $username
 * @return boolean
 */
function username_chk(&$db, $username="")
{

	$username = trim(strtolower($username));
	$username = $db->escapeString($username);

	if (empty($username))
	{
		return false;
	}

	$sql = "SELECT id FROM {$db->_obj['prx']}member WHERE lower(username) = '{$username}' LIMIT 1";
	$row = $db->queryF($sql);
	if ($row['id'] > 0)
	{
		return true;
	}

	return false;

}



/**
 * Checking duplicate email address
 *
 * @param database object $db
 * @param input username in string $email
 * @return boolean valided = true, otherwise false
 */
function email_chk(&$db, $email="")
{
	//$email = $db->escapeString($email);

	if (empty($email))
	{
		return false;
	}

	$sql = "SELECT id FROM {$db->_obj['prx']}member WHERE lower(email) = '{$email}' LIMIT 1";
	$row = $db->queryF($sql);

	if ($row['id'] > 0)
	{
		return true;
	}
	return false;
}



?>