<?php
/*
 +----------------------------------------------------
 |  Multi system integration
 |  (c) 2004-2009 BBPixel.com
 +----------------------------------------------------
 |  Plugin controller
 |  Revision: 0905160003 $
 |  Since: 2008-May-01
 |  Author: Koudanshi (sales@bbpixel.com)
 |  License: Commercial
 +----------------------------------------------------
 */



$action = !empty($action) ? $action : "status";


//----### View status form ###----//
if ($action == "status")
{
	$sql = "SELECT * FROM {$msiPixel->db->_obj['prx']}plugin WHERE 1";
	$result = $msiPixel->db->query($sql);

	while ($r = $msiPixel->db->fetchArray($result))
	{
		$tplData['rows'][] = $r;
	}
	$tplData['main'] .= $msiPixel->disp->loadFile('bit/plugin.tpl');
}



//----### View add new plugin form ###----//
if ($action == "add")
{
	$tplData['main'] .= $msiPixel->disp->loadFile('bit/plugin_add.tpl');
}



//----### Add/edit new plugin ###----//
if ($action == "doadd" or $action == "doedit")
{
	$id 		= $msiPixel->get('id', 'INT');
	$pName 		= $msiPixel->get('name', 'STR');
	$enable 	= $msiPixel->get('enable', 'INT');
	$type 		= $msiPixel->get('type', 'STR');
	$dbHost 	= $msiPixel->get('dbhost', 'STR');
	$dbPort 	= $msiPixel->get('dbport', 'INT');
	$dbPrefix 	= $msiPixel->get('dbprefix', 'STR');
	$dbCharset 	= $msiPixel->get('dbcharset', 'STR');
	$dbName 	= $msiPixel->get('dbname', 'STR');
	$dbUser 	= $msiPixel->get('dbuser', 'STR');
	$dbPassword = $msiPixel->get('dbpassword', 'STR');

	if ($action == "doadd")
	{
		$sql = "INSERT INTO {$msiPixel->db->_obj['prx']}plugin
				(`name`, `enable`, `type`, `dbhost`, `dbport`, `dbprefix`, `dbcharset`, `dbname`, `dbuser`, `dbpassword`)
				VALUES
				('{$pName}', '{$enable}', '{$type}', '{$dbHost}', '{$dbPort}', '{$dbPrefix}', '{$dbCharset}', '{$dbName}', '{$dbUser}', '{$dbPassword}')
				";
		$msg = "Added new plugin successfully";
	}
	else
	{
		$sql = "UPDATE {$msiPixel->db->_obj['prx']}plugin
				SET `name` = '{$pName}',
					`enable` = {$enable},
					`type` = '{$type}',
					`dbhost` = '{$dbHost}',
					`dbport` = '{$dbPort}',
					`dbprefix` = '{$dbPrefix}',
					`dbcharset` = '{$dbCharset}',
					`dbname` = '{$dbName}',
					`dbuser` = '{$dbUser}',
					`dbpassword` = '{$dbPassword}'
				WHERE id = {$id}
				 ";
		$msg = "Edited plugin successfully";
	}
	$msiPixel->db->query($sql);

	// Redirect after processed successfully
	$url = "index.php?mid=2&amp;s=core&amp;e=plugin";
	$msiPixel->disp->redirect($msg, $url);

}

//----### Edit a plugin ###----//
if ($action == "edit")
{
	$id = $msiPixel->get('id', 'INT');

	if (!$id)
	{
		$msg = "Error...missing ID value. Input right value before it can continue to do.";
		$msiPixel->disp->error($msg);
	}
	else
	{
		$sql = "SELECT * FROM {$msiPixel->db->_obj['prx']}plugin WHERE id = {$id}";
		$tplData = array_merge($tplData, $msiPixel->db->queryF($sql));

		if (!$tplData['id'])
		{
			$msg = "Error...not valided ID value. Input right value before it can continue to do.";
			$msiPixel->disp->error($msg);
		}
		else
		{
			$tplData['main'] .= $msiPixel->disp->loadFile('bit/plugin_edit.tpl');
		}
	}
}



//----### Delete a plugin ###----//
if ($action == "dodelete")
{
	$id = $msiPixel->get('id', 'INT');

	if (!$id)
	{
		$msg = "Error...missing ID value. Input right value before it can continue to do.";
		$msiPixel->disp->error($msg);
	}
	else
	{
		$sql = "DELETE FROM {$msiPixel->db->_obj['prx']}plugin WHERE id = {$id}";
		$msiPixel->db->query($sql);

		// Redirect after processed successfully
		$msg = "Deleted plugin successfully";
		$url = "index.php?mid=2&amp;p=core&amp;s=plugin";
		$msiPixel->disp->redirect($msg, $url);
	}
}
?>