<?php
/*
 +----------------------------------------------------
 |  Multi system integration
 |  (c) 2004-2010 BBPixel.com
 +----------------------------------------------------
 |  Installer
 |  Revision: 100122 - @since: 2009-May-10
 |  Author: Koudanshi (sales@bbpixel.com)
 |  License: Ecommercial
 +----------------------------------------------------
 */

define('ROOT_PATH', './');
$version = '1.0';
// Include lib
require_once(ROOT_PATH.'../includes/config.php'); // vBulletin config
require_once(ROOT_PATH.'config.php');
require_once(ROOT_PATH.'class_db_'.$msiCFG['type'].'.php');

// Create DB connection
$msiDB = new dbPixel();
$msiDB->_obj = $msiCFG;
$msiDB->connect();

if ( file_exists("install.lock") )
{
	$output = headOpen();
	$output .= "<tr><td>Please Remove <b>install.lock</b> before we can continue on installing processes.</td></tr>";
	$output .= headClose();
	
}
else
{

	$action = isset($_POST['act']) ? addslashes(trim($_POST['act'])) : "";
	
	if ( empty($action) )
	{
		$output = headOpen();
		$output .= <<<HTM
<form name="installer" id="installer" action="install.php" method="post">
<table class="itable">
	<tr>
		<td><p>Welcome to BBPixel installer engine, it will help you to do installing MSI vBulletin engine database. Click Install to continue... </p></td>
	</tr>
	<tr>
		<td>
			<input type="hidden" name="act" value="doinstall" />
			<input type="submit" value="Install" />
		</td>
	</tr>
</table>
</form>
HTM;
		$output .= headClose();
	}
	else if ( $action == "doinstall" )
	{		
		$sql = array();
		$sql[] = "REPLACE INTO `msi_plugin` 
						(`id`, `name`, `enable`, `type`, `total`, `dbhost`, `dbport`, `dbprefix`, `dbcharset`, `dbuser`, `dbpassword`, `dbname`) 
					VALUES 
						(NULL, 'vbulletin', 1, 'user', 0, '{$config['MasterServer']['servername']}', '{$config['MasterServer']['port']}', '{$config['Database']['tableprefix']}', 'utf8', '{$config['MasterServer']['username']}', '{$config['MasterServer']['password']}', '{$config['Database']['dbname']}');
		";
		foreach ($sql as $item)
		{
			$msiDB->query($item);
		}
		// create locked install file
		$fhandle = @fopen("install.lock", "w");
		
		$output = headOpen();
		$output .= <<<HTM
<table class="itable">
	<tr>
		<td><p>Installed MSI vBulletin engine database successfully. <br /> <br />
		Please <b><font color="red">Delete</font></b> this <b>install.php</b> file to protect our site from outside attack. <br /> <br />
		</p>
		</td>
	</tr>
</table>
HTM;
		$output .= headClose();
	}
}

echo $output;


/**
 * Output default table header
 *
 * @return string
 */
function headOpen()
{
	global $msiCFG;
	
	$output = <<<HTM
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="generator" content="BBPixel Multi system integration" />
	<meta name="keywords" content="bbpixel, vbb integrate, joomla integrate, integration" />
	<meta name="description" content="This is Multi system integration from http://bbpixel.com" />

	<title>BBPixel MSI</title>

	<style type="text/css" media="all">
		@import url("{$msiCFG['url']}/templates/default/css/style.css");
	</style>

	<!-- setup js stuff -->
	<script type="text/javascript" src="{$msiCFG['url']}/lib/js/jquery.js"></script>
	<script type="text/javascript" src="{$msiCFG['url']}/lib/js/validate.js"></script>
</head>
<body>
<div id="wrapper">
<!--header part-->
<div id="header">
	<!--logo-->
	<div id="logo"><a href="{$msiCFG['url']}"><img class="logo" src="{$msiCFG['url']}/templates/default/images/blank.gif" alt="BBPixel MSI logo" /></a></div>

	
</div>

<!-- main column -->
<div id="main" class="auto">
<fieldset>
<legend>
vBulletin engine installation
</legend>
HTM;

	return $output;
}


/**
 * Output default table footer
 *
 */
function headClose()
{
	$output = <<<HTM
</fieldset>
</div>
<!--footer-->
<div id="footer">
	Copyright &copy;2004-2010, <a href="http://bbpixel.com" title="MSI version 1.0">BBPixel MSI</a>.

</div></div><!--end wrapper-->
</body>
</html>
HTM;
	return $output;
}

?>